Bug 27116 - printconf doesn't honor locale settings in printing and printer settings
printconf doesn't honor locale settings in printing and printer settings
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
: 27136 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-02-11 23:13 EST by Christian Rose
Modified: 2007-04-18 12:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-15 03:57:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
source code for using LC_PAPER information (473 bytes, text/plain)
2001-02-13 21:01 EST, Ulrich Drepper
no flags Details

  None (edit)
Description Christian Rose 2001-02-11 23:13:01 EST
When testing printconf on a Swedish (sv_SE) system, selecting "Print
Postscript test page" resulted in a printer error - simply because the
Postscript page was in Letter format, and this being outside USA, that
paper format is exotic to say the least.
Naturally the printer had, and has ever had, only A4 sheets loaded.

Suppressing the error message by fiddling with the printer did work but one
would probably expect printconf to figure out that an A4 Postscript page
should be used automatically (AFAIK this locale paper size info is also
availiable in the glibc 2.2 locale settings).

Also, the output Postscript page used inches as border measurements. Even
the old control-panel printer tool managed to output the postscript page
with measurements in metric units (centimeters) on a sv_SE system.

Seems to me that printconf currently does not look for locale settings at
all when printing test pages.
Comment 1 Christian Rose 2001-02-13 20:05:47 EST
Glen? IMHO, this is a must-fix.
Trying out printconf left me with a system where I can't print a single page
without error from the printer (HP LaserJet 4) and having to mess around with
the printers menu to override the page size of the print job... since the print
jobs are in Letter format, and this printer is an A4 printer.
Really annoying...
Comment 2 Christian Rose 2001-02-13 20:09:44 EST
To make it more clear, this affects all print jobs, not just test pages.
Comment 3 Ulrich Drepper 2001-02-13 21:00:09 EST
What is needed is code like the one I append now.
Comment 4 Ulrich Drepper 2001-02-13 21:01:25 EST
Created attachment 9969 [details]
source code for using LC_PAPER information
Comment 5 Crutcher Dunnavant 2001-02-14 02:12:26 EST
wow, this won't be fun to fix.

I'll have to think about how to make this work.
Comment 6 Glen Foster 2001-02-14 11:17:22 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 7 Crutcher Dunnavant 2001-02-20 00:10:16 EST
*** Bug 27136 has been marked as a duplicate of this bug. ***
Comment 8 Crutcher Dunnavant 2001-02-20 00:11:48 EST
This is almost landed. It brings with it many friends.
I've made printconf configure generic options :)
Though I need another day to finish it, icky gtk-isms.

(But I'm not auto detecting locale, just allowing settign of ALL options.)
Comment 9 Tim Waugh 2001-02-20 04:18:51 EST
The locale stuff would only be good for _defaults_ anyway; it should be
configurable separately from that IMHO.
Comment 10 Christian Rose 2001-02-20 08:33:08 EST
I agree, but I think detecting clever defaults based on locale is important too.
Nothing is more annoying than having to switch from Letter to A4 whenever you
change a printer setting. Especially as AFAIK it's only the U.S. that uses the
"Letter" size... such things are annoying americanisms to a large part of the
rest of the world, and I think it's a good strategy to respect that the world is
diverse and provide a default based on locale, now when the locale has that
information, instead of enforcing a hardcoded default that the user in a lot of
cases is forced to change.
Comment 11 Crutcher Dunnavant 2001-02-21 22:15:19 EST
paper size can be set,
so I consider this 'fixed'.

I will examine autodetecting, but it is not priority.
Comment 12 Christian Rose 2001-07-08 17:42:25 EDT
For your information, the Galeon web browser now uses paper autodetection based
on locale settings. It works.
Comment 13 Christian Rose 2001-10-26 12:28:13 EDT
Could paper-size autodetecting be considered now? Anything but A4 is a
brain-damaged default for this and most other locales, and that is why the
default has to be adaptive.
Comment 14 Crutcher Dunnavant 2001-11-02 12:09:57 EST
It's not detecting the settings, its using them. Paper sizes are a bit wierd
down in the filters. I will get this in for the next release.
Comment 15 Tim Waugh 2002-02-12 10:35:05 EST
*** Bug 53624 has been marked as a duplicate of this bug. ***
Comment 16 Tim Waugh 2002-02-15 03:57:23 EST
This is partially fixed in printconf-0.3.68-1: for pure PostScript, we now pick
a reasonably sane papersize.

For foomatic-driven printers this is a fair bit harder to do, since the defaults
are chosen by foomatic, and they are hard-coded in the XML.
Comment 17 Tim Waugh 2002-03-04 08:40:35 EST
An attempted fix for foomatic-driven printers is in printconf-0.3.71.

Note You need to log in before you can comment on or make changes to this bug.